/********************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.esr.common.builder.entity;

// Java Classes

// Library Classes

// Framework Classes

// Common Classes
import gov.va.med.esr.common.model.person.Spouse;

// Messaging Classes

/**
 * @author Martin Francisco
 */
public interface SpouseMetaData
    extends RelationMetaData
{
    public Spouse getEntity();

    public void setEntity(Spouse entity); 
    
    public String getMaidenName();
 
    public EmploymentMetaData getEmployment();

    public AddressMetaData getAddress();

    public PhoneMetaData getPhone();
}